std::char_traits::assign(3)

NAME
std::char_traits::assign - std::char_traits::assign

Synopsis
   static void assign( char_type& r, const (until C++11)
   char_type& a );
   static void assign( char_type& r, const (since C++11)
   char_type& a ) noexcept; (until C++17)
   static constexpr void assign( char_type& r, (since C++17)
   const char_type& a ) noexcept; (1)
   static char_type* assign( char_type* p, (until C++20)
   std::size_t count, char_type a );
   static constexpr char_type* assign( char_type* (2)
   p, (since C++20)
   std::size_t count, char_type a );
   Assigns a character.
   1) Assigns character a to character r.
   2) Assigns character a to each character in count characters in the character
   sequence pointed to by p.

Parameters
   a - character value to assign
   r - character to assign to
   p - pointer to a character sequence to assign to
   count - the length of the character sequence

Return value
   1) (none)
   2) p

Complexity
   1) Constant.
   2) Linear in count